=== debian/changelog ===
cppformat (1.1.0+ds-3) unstable; urgency=medium

  * debian/patches:
    - New patch 0011 to remove unit tests which assume too much about
      behavior of pipe().
    - New patch 0012 to avoid GTest crashes on non-linux platforms
      (workaround for #789267).

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 19 Jun 2015 14:47:36 +0300

cppformat (1.1.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - New patch 0009 to fix FormatInt unit test on architectures where char
      type is unsigned.
    - New patch 0010 to skip death unit tests on unsupported architectures.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 18 Jun 2015 22:22:52 +0300

cppformat (1.1.0+ds-1) unstable; urgency=low

  * Initial release. (Closes: #785408)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 17 Jun 2015 08:12:26 +0300
