=== debian/control ===
Source: cppformat
Section: devel
Priority: extra
Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
Build-Depends: cmake, debhelper (>=9), google-mock, python3-sphinx, python3-breathe, doxygen
Standards-Version: 3.9.6
Homepage: http://cppformat.github.io/

Package: libcppformat1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: fast type-safe C++ formatting library -- development files
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the development files, include the static library.

Package: libcppformat1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: fast type-safe C++ formatting library -- documentation
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the documentation files.
