=== debian/changelog ===
cppformat (3.0.0+ds-2) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 29 Sep 2016 13:15:56 +0200

cppformat (3.0.0+ds-1) experimental; urgency=low

  * New upstream release.
    - Unit tests now pass when compiled with GCC6. (Closes: #812261)
  * debian/control:
    - Updated home page (new is http://fmtlib.net/).
    - Updated binary package names to use libfmt prefix (following
      the upstream name change).
    - Updated Standards-Version to 3.9.8, no changes needed.
  * debian/strip-orig-tar.sh:
    - Strip also GTest/GMock from new locations inside 3.0.0 tarball.
  * debian/patches:
    - Rebased.
    - 0010-test-cmakelists-don-t-guess-C-11-support.patch: added.
    - 0011-fmt-cmakelists-don-t-bother-with-exporting-CMake-con.patch: added.
    - 0012-test-format-test-FormatIntLocale-disabled.patch: added.
    - 0013-test-cmakelists-posix-mock-test-link-to-already-comp.patch: added.
    - 0014-fmt-cmakelists-really-separate-sources-with-headers.patch: added.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 24 Sep 2016 17:16:59 +0200

cppformat (2.0.0~alpha~20151107+ds3-1) experimental; urgency=low

  * New upstream snapshot (git commit 7c249736).
    - Fixes float-formatting test on PowerPC architectures (Closes: #801878).
  * debian/control:
    - Renamed binary packages from libcppformat1* to libcppformat2*.
    - Dev-package now suggests doc-package (Closes: #797691).
  * debian/patches:
    - 0001-README-removed-autoloading-of-third-party-links-imag.patch: rebased.
    - 0002-test-cmakelists-use-system-provide-GTest-and-GMock.patch: rebased.
    - 0003-doc-cmakelists-unconditionally-build-documentation.patch: rebased.
    - 0004-doc-cmakelists-out-of-tree-build-support.patch: removed
      (fixed upstream).
    - 0005-doc-conf.py-removed-usage-of-sphinx-bootstrap-theme.patch: removed
      (not needed anymore).
    - 0006-cmakelists-install-format.h-to-prefix-include-cppfor.patch: removed
      (applied upstream).
    - 0007-doc-cmakelists-added-installation-rules.patch: removed
      (applied upstream).
    - 0008-cmakelists-name-static-library-cppformat.a-not-forma.patch: removed
      (applied upstream).
    - 0009-test-format-test-FormatIntTest-FormatDec-don-t-assum.patch: removed
      (fixed upstream).
    - 0010-test-compile-death-tests-only-when-GTest-provides-th.patch: removed
      (fixed upstream).
    - 0011-test-gtest-extra-test-FileTest-ReadError-WriteError-.patch: removed
      (fixed upstream).
    - 0012-test-cmakelists-force-declare-GTEST_HAS_PTHREAD.patch: rebased.
    - New patches 0005-0007 to removed non-applicable stuff from documentation
      building script.
    - New patches 0008-0009 to strip GoogleAnalytics and download links from
      the new documentation layout template.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 08 Nov 2015 12:05:57 +0100
