=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: extra
 Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
 Build-Depends: cmake, debhelper (>=9), google-mock, python3-sphinx, python3-breathe, doxygen
-Standards-Version: 3.9.6
-Homepage: http://cppformat.github.io/
+Standards-Version: 3.9.8
+Homepage: http://fmtlib.net/latest/index.html
 
-Package: libcppformat1-dev
+Package: libfmt3-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}
+Suggests: libfmt3-doc
+Conflicts: libcppformat1-dev, libcppformat2-dev
 Description: fast type-safe C++ formatting library -- development files
  This library provides fast, type-safe, small, C++11-aware replacement of
  (s)printf and related machinery. In some cases it's noticeably faster
@@ -17,10 +19,11 @@
  .
  This package contains the development files, include the static library.
 
-Package: libcppformat1-doc
+Package: libfmt3-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Conflicts: libcppformat1-doc, libcppformat2-doc
 Description: fast type-safe C++ formatting library -- documentation
  This library provides fast, type-safe, small, C++11-aware replacement of
  (s)printf and related machinery. In some cases it's noticeably faster
