## cppformat 3.0.1+ds

=== debian/changelog ===
cppformat (3.0.1+ds-1ubuntu1) zesty; urgency=medium

  * Avoid FTBFS by building with -O2 on ppc64el
  * Build-depend on python-sphinx, -breathe instead of python3
  * Add missing documentation option to fix build with Sphinx 1.5

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 12 Apr 2017 11:36:35 +0200

cppformat (3.0.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build-depend on googletest instead of libgtest-dev/google-mock.
  * debian/patches:
    - 0002-test-cmakelists-use-system-provide-GTest-and-GMock.patch: use new
      gmock source directory. Fixes FTBFS (Closes: #844843)
    - 0002-test-cmakelists-use-system-provide-GTest-and-GMock.patch: prevent
      installing gmock/gtest stuff.
    - 0012-test-format-test-FormatIntLocale-disabled.patch: dropped, upstream
      made the test independent of system locale.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 21 Nov 2016 09:58:22 +0100
