=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: cppformat
 Section: devel
 Priority: extra
-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
-Build-Depends: cmake, debhelper (>=9), google-mock, python3-sphinx, python3-breathe, doxygen
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
+Build-Depends: cmake, debhelper (>=9), googletest, python-sphinx, python-breathe, doxygen
 Standards-Version: 3.9.8
 Homepage: http://fmtlib.net/latest/index.html
