=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH), ppc64el)
export DEB_CXXFLAGS_MAINT_STRIP = -O3
export DEB_CXXFLAGS_MAINT_APPEND = -O2
endif

%:
	dh $@  

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- doc

override_dh_install:
	dh_install
	dh_sphinxdoc
